# DescribeCloudRouters

## 1. 接口描述

调用本接口用于查询一个或多个指定三层网络的信息。用户可以根据 ID、名称等信息来进行搜索。

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

<table><thead><tr><th width="221">参数名称</th><th width="77">必选</th><th width="157">类型</th><th>描述</th></tr></thead><tbody><tr><td>cloudRouterIds</td><td>否</td><td>Array of String</td><td>三层网络的ID。<br>长度不能超过100个。</td></tr><tr><td>cloudRouterName</td><td>否</td><td>String</td><td>三层网络的名称。<br>该条件为模糊匹配。</td></tr><tr><td>cloudRouterStatus</td><td>否</td><td>String</td><td>三层网络的状态。<br>见：CloudRouterStatus</td></tr><tr><td>egdePointId</td><td>否</td><td>String</td><td>边缘连接点的ID。</td></tr><tr><td>resourceGroupId</td><td>否</td><td>String</td><td><p>资源组的ID。</p><p>如果不传，则返回该用户可见的所有资源组内的三层网络。</p></td></tr><tr><td>tagKeys</td><td>否</td><td>Array Of String</td><td><p>根据标签进行搜索。</p><p>最长不得超过20个标签。</p></td></tr><tr><td>tags</td><td>否</td><td>Array Of <a href="../../datastructure#tag">Tag</a></td><td><p>根据标签进行搜索。</p><p>最长不得超过20个标签。</p></td></tr><tr><td>pageNum</td><td>否</td><td>Integer</td><td><p>返回的分页数。</p><p>默认为1。</p></td></tr><tr><td>pageSize</td><td>否</td><td>Integer</td><td><p>返回的分页大小。</p><p>默认为20，最大为1000。</p></td></tr></tbody></table>

## 3. 响应结果

<table><thead><tr><th width="136.33333333333331">参数名称</th><th width="277">类型</th><th>描述</th></tr></thead><tbody><tr><td>requestId</td><td>String</td><td><p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 RequestId。</p></td></tr><tr><td>dataSet</td><td>Array of <a href="../../datastructure#cloudrouter">CloudRouter</a></td><td>三层网络列表。</td></tr><tr><td>totalCount</td><td>Integer</td><td>符合条件的三层网络总数量。</td></tr></tbody></table>

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 获取三层网络列表**

```json
POST /api/v2/sdn HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeCloudRouters
<Common Request Params>

Request：
{}

Response：
{   
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
     "requestId": "T98044459-95B2-477E-9A2F-00253A70CC6E"，
     "dataSet": [
        {
            "resourceGroupName":"Default Resource Group",
            "cloudRouterStatus":"RUNNING",
            "edgePoints":[
                {
                    "dataCenter":{
                        "dcId":"LAX5",
                        "cityName":"Los Angeles",
                        "areaName":"North America",
                        "dcName":"DRT",
                        "dcAddress":"600 West 7th Street Los Angeles, CA 90017",
                        "countryName":"United States"
                    },
                    "ipAddress":"4.4.4.4/24",
                    "portId":"your-portId",
                    "edgePointId":"the edge point id",
                    "bgpConnection":{
                        "password":"",
                        "peerIpAddress":"4.4.4.3",
                        "localAsn":62610,
                        "peerAsn":6543
                    },
                    "createTime":"2023-10-27T07:14:46Z",
                    "edgePointName":"LAX5-1698390478681",
                    "connectivityStatus":"DOWN",
                    "bandwidthMbps":1
                },
                {
                    "dataCenter":{
                        "dcId":"SOF1",
                        "cityName":"Sofia",
                        "areaName":"Europe",
                        "dcName":"Equinix_SO2",
                        "dcAddress":"N33 Nedelcho Bonchev str, Sofia, Bulgaria",
                        "countryName":"Bulgaria"
                    },
                    "vlanId":1061,
                    "ipAddress":"5.5.5.5/24",
                    "portId":"your port id",
                    "edgePointId":"the edge point id",
                    "bgpConnection":{
                        "password":"",
                        "peerIpAddress":"5.5.5.4",
                        "localAsn":62610,
                        "peerAsn":3456
                    },
                    "createTime":"2023-10-27T07:14:46Z",
                    "edgePointName":"SOF1-1698391290880",
                    "connectivityStatus":"DOWN",
                    "bandwidthMbps":1
                }
            ],
            "createTime":"2023-10-27T07:14:46Z",
            "cloudRouterId":"cloud-router-id",
            "resourceGroupId":"c91db3f4-b15e-4323-9a12-fd3f0330b74b",
            "cloudRouterName":"Test",
            "connectivityStatus":"ABNORMAL",
            "cloudRouterDescription":"",
            "cloudRouterChargeType":"POSTPAID"
        }
     ],
     totalCount: 1
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[公共错误码](https://docs.console.zenlayer.com/api-reference/cn/api-introduction/toolkit)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](https://docs.console.zenlayer.com/api-reference/cn/api-introduction/instruction/commonerrorcode)

| HTTP状态码 | 错误码 | 说明 |
| ------- | --- | -- |
|         |     |    |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/cn/networking/sdn/router/describe-cloud-routers.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
